<#ftl strip_whitespace=true/>
<#import "/WEB-INF/tags/message.ftl" as i18n/>
<@compress single_line=true>

<div id="add-domain-wizard" title="<@i18n.message key='AddDomainDialog.title' />" class="wizard">
    <form id="domain-wizard-form" action="">
        <#--Step 1 - Domain Name-->
        <fieldset id="add-domain-step1" class="wizard-step">
            <legend><@i18n.message key="AddDomainDialog.title.domainName" /></legend>
            <h2><@i18n.message key="AddDomainDialog.info.domainName" /></h2>
            <div>
                <label for="domain-name"><@i18n.message key="AddDomainDialog.label.domainName" /><em>*</em></label>
                <input type="text" id="domain-name" size="40" maxlength="50">
            </div>
            <div>
                <label for="domain-description"><@i18n.message key="AddDomainDialog.label.domainDescription" /></label>
                <textarea id="domain-description" rows="5" cols="50"></textarea>
            </div>
        </fieldset>

        <#--Step 2 - Domain Service-->
        <fieldset id="add-domain-step2" class="wizard-step">
            <legend><@i18n.message key="AddDomainDialog.title.domainService" /></legend>
            <h2><@i18n.message key="AddDomainDialog.info.domainService" /></h2>
            <div>
                <label for="domain-service"><@i18n.message key="AddDomainDialog.label.protocol" /><em>*</em></label>
                <select id="domain-service" name="protocol">
                    <option value="0"><@i18n.message key="FtpService.title" /></option>
                    <option value="1"><@i18n.message key="SftpService.title" /></option>
                    <option value="2"><@i18n.message key="AftpService.title" /></option>
                    <option value="3"><@i18n.message key="HttpService.title" /></option>
                    <option value="4"><@i18n.message key="WebDavService.title" /></option>
                    <option value="5"><@i18n.message key="AS2Service.title" /></option>
                </select>
            <div>
            <#include "service-ftp.ftl" />
            <#include "service-sftp.ftl" />
            <#include "service-aftp.ftl" />
            <#include "service-http.ftl" />
            <#include "service-webdav.ftl" />
            <#include "service-as2.ftl" />
        </fieldset>

        <#--Step 3 - Datastore Service-->
        <fieldset id="add-domain-step3" class="wizard-step">
            <legend><@i18n.message key="AddDomainDialog.title.datastoreService" /></legend>
            <h2><@i18n.message key="AddDomainDialog.info.datastoreService" /></h2>
            <div>
                <label for="datastore-service"><@i18n.message key="DatastoreService.label.type" /></label>
                <select id="datastore-service">
                    <option value="0"><@i18n.message key="DatastoreService.type.FILE_RECORD" /></option>
                    <option value="1"><@i18n.message key="DatastoreService.type.FILE" /></option>
                    <option value="2"><@i18n.message key="DatastoreService.type.DATABASE" /></option>
                </select>
            </div>
            <#include "datastore-filerecord.ftl" />
            <#include "datastore-file.ftl" />
            <#include "datastore-database.ftl" />
        </fieldset>

        <#--Step 4 - Log Service -->
        <fieldset id="add-domain-step4" class="wizard-step">
            <legend><@i18n.message key="AddDomainDialog.title.logService" /></legend>
            <h2><@i18n.message key="AddDomainDialog.info.logService" /></h2>
            <div>
                <label for="log-service"><@i18n.message key="LogService.label.type" /></label>
                <select id="log-service">
                    <option value="0"><@i18n.message key="LogService.type.FILE" /></option>
                    <option value="1"><@i18n.message key="LogService.type.DATABASE" /></option>
                </select>
            </div>
            <#include "log-file.ftl" />
            <#include "log-database.ftl" />
        </fieldset>
    </form>
</div>

</@compress>