<#ftl strip_whitespace=true>
<#import "/WEB-INF/tags/message.ftl" as i18n />
<#import "/WEB-INF/tags/html.ftl" as html />

<#assign resources = [
"/js/lang.js",
"/js/management.js",
"/js/application.js",
"/js/settings/settings.js",
"/js/settings/manager-service.js",
"/js/settings/manager-access.js",
"/js/settings/manager-administrators.js",
"/js/settings/domains-autostart.js",
"/js/settings/web-config.js",
"/js/settings/web-docviewer.js",
"/js/settings/db-drivers.js",
"/js/settings/email-config.js",
"/js/settings/failover.js",
"/js/settings/searching.js",
"/js/settings/jmx.js"
]>

<@html.script resources />
<script type="text/javascript">
<@compress single_line=true>
var config = {
    continuePath: "/",
    updatePeriod: 5000,
    timeout: 18000
};
var resources = new jscape.Resources($.extend(
        <#include "/WEB-INF/template/server/dialog-js.ftl" />,
        <#include "/WEB-INF/template/server/errors-js.ftl" />,
        <#include "i18n-js.ftl" />
));
$(document).ready(function () {
    var m = new jscape.management.ManagementService(config, resources);
    var c = new jscape.settings.ServerSettingsController(resources, [
        new jscape.AuthenticationService(resources, config.continuePath),
        new jscape.settings.ManagerServiceController(resources),
        new jscape.settings.ManagerAccessController(resources),
        new jscape.settings.AdministratorsController(resources),
        new jscape.settings.DomainsAutoStartController(resources),
        new jscape.settings.WebConfigurationController(resources),
        new jscape.settings.DocumentViewerController(resources),
        new jscape.settings.DbDriversController(resources),
        new jscape.settings.EmailController(resources),
        new jscape.settings.FailoverController(resources),
        new jscape.settings.SearchingController(resources),
        new jscape.settings.JmxController(resources)
    ]);
    c.start(m);
});
</script>
</@compress>